=== debian/changelog ===
haskell-permutation (0.5.0.5-3build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2019 00:18:56 +0200

haskell-permutation (0.5.0.5-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:17:22 +0300

haskell-permutation (0.5.0.5-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:00 -0400

haskell-permutation (0.5.0.5-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 09 Jul 2017 11:03:51 -0400
