=== debian/control ===
Source: haskell-permutation
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-quickcheck2-dev,
 libghc-quickcheck2-prof,
Build-Depends-Indep: ghc-doc,
 libghc-quickcheck2-doc,
Standards-Version: 4.1.4
Homepage: https://github.com/spacekitteh/permutation
X-Description: library for permutations and combinations
 This library includes data types for storing permutations and
 combinations.  It implements pure and impure types, the latter of
 which can be modified in-place.  The library uses aggressive
 inlining and MutableByteArray#s internally, so it is very
 efficient.
 .
 The main utility of the library is converting between the linear
 representation of a permutation and a sequence of swaps.  This
 allows, for instance, applying a permutation or its inverse
 to an array with O(1) memory use.
 .
 Much of the interface for the library is based on the permutation
 and combination functions in the GNU Scientific Library (GSL).

Package: libghc-permutation-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-permutation-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-permutation-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
